### Function

# GLib test_set_nonfatal_assertions

since: 2.38

#### Declaration [src]

    void
    g_test_set_nonfatal_assertions (
      void
    )

#### Description [src]

Changes the behaviour of the various assertion macros.

The `g_assert_*()` macros, `g_test_assert_expected_messages()` and the various `g_test_trap_assert_*()` macros are changed to not abort to program.

Instead, they will call `g_test_fail()` and continue. (This also changes the behavior of `g_test_fail()` so that it will not cause the test program to abort after completing the failed test.)

Note that the `g_assert_not_reached()` and `g_assert()` macros are not affected by this.

This function can only be called after `g_test_init()`.

Available since: 2.38